please enable edit, edit source on mediawiki.org
Closed, DeclinedPublic

Description

currently the mediawiki.org is visual editor only. can you please enable "edit source" as well?

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 15 2016, 12:56 PM

@ThurnerRupert, you can change this easily in your preferences. Go to https://www.mediawiki.org/wiki/Special:Preferences#mw-prefsection-editing and scroll about halfway down. Look for the "Editing mode" pop-up, and choose whichever you want.

There is more information here: https://www.mediawiki.org/wiki/VisualEditor/Single_edit_tab You might also be interested in reading https://www.mediawiki.org/wiki/Help:VisualEditor/User_guide#Switching_between_the_visual_and_wikitext_editors which has the information about how to switch from one editing environment to the other.

ThurnerRupert added a comment.EditedApr 15 2016, 5:45 PM

i do not understand what to choose there to have both tabs, edit source and gui edit. there is a dropdown showing "remember my last editor" and i for sure never used visual editor on mediawiki.org. can you please set as defaullt both tabs?

Choose "Show me both editor tabs" if you want to see both tabs. Alternatively, if you don't want to use the visual editor, then choose "Always give me the source editor", and you will have one edit tab that will always give you the wikitext editor. This might be very convenient if you never use the visual editor.

I don't know what other editors at mediawiki.org prefer. We probably should not change the site-wide default without a larger discussion.

ThurnerRupert added a comment.EditedApr 16 2016, 7:02 AM

exactly, whatamidoing-wmf. you should not, but the site-wide default changed without a larger discussion. it was text, now it is visual editor. or was i so adventuros that i changed it myself and i cannot remember any more?

ThurnerRupert reopened this task as Open.Apr 17 2016, 12:10 PM

on the fly switching? you mean an additional click? please _NOT_.

Jdforrester-WMF closed this task as Declined.Apr 19 2016, 7:13 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

This has been intentionally changed. See the project's discussion forum.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 7:13 PM
ThurnerRupert reopened this task as Open.Apr 20 2016, 5:34 AM

could you add a link please? why would one want to make 2 clicks out of one? who decided this, with involving whom? the only item i can see is: https://www.mediawiki.org/wiki/VisualEditor/Single_edit_tab which has no discussion *wonder*

Qgil added a subscriber: Qgil.EditedApr 20 2016, 8:57 AM

There is https://www.mediawiki.org/wiki/Topic:Szfpjd08my4nzjr8, which is a topic open in the forum to propose / announce changes to mediawiki.org. No feedback, no opposition.

mediawiki.org is a project welcoming new features by default. It is often among the first Wikimedia wikis to receive a new feature. It makes sense that SET is there. This allows users like you to try the feature and give feedback wherever appropriate. If you want to try it out, otherwise you can go for wikitext editor only and ignore SET.

As you say, getting SET to behave as the user wishes takes a couple of clicks at most. This is something that mediawiki.org users can handle, and possibly a proof of that is that we are not hearing more complaints. Can we close this task as it was and move forward?

ThurnerRupert added a comment.EditedApr 20 2016, 12:15 PM

there was no complaint about the two tabs. the german wikipedia finally voted for switching it on because of the two tabs. so why on earth you open this box again, and _again_ without the community? you guys seem to never learn :(

i would appreciate if you would revert to where it was, and let it vote if you really want to set the default to one tab. WMF employees are not allowed to vote, because same boss gives a COI.

Jdforrester-WMF closed this task as Declined.Apr 20 2016, 3:17 PM

When I first click Edit without having set a preference, I am presented with a dialogue box that asks which editor I want to use, which also includes the option to always show both tabs. It's one extra click the first time you edit, leaves the choice up to the user, and doesn't force anyone who doesn't want to use VE to use it. I don't see why this is problematic at all.

Aklapper closed this task as Declined.Apr 21 2016, 7:36 AM

@ThurnerRupert: As per T132760#2225584 and T132760#2221905 I kindly ask you to criticize ideas instead of people and to please respect the status of this task.
Proposals for generic voting rules on mediawiki.org are out of scope for this specific task.
Thanks a lot for your understanding and for keeping Phabricator a respectful and constructive place.

ThurnerRupert reopened this task as Open.EditedApr 21 2016, 3:21 PM
ThurnerRupert added a subscriber: WhatamIdoing.

@wctaiwan , @WhatamIdoing, this is problematic because the implementation seems somehow broken. i tried to get both tabs for anonymous usuage and logged in user. i failed. first it would not let me anonymously edit source, only visual editor. then i switched on both tabs logged in, in the preferences as suggested above. yesterday i wanted to make screenshots for csteipp where mediawiki exposes ip adresses without warning, and i could not trick mediawiki.org any more to allow anonymous edit with visual editor, it was always source.

de.wikipedia btw seems currently configured properly, allowing both usages seemless, without strange side effects.

wctaiwan closed this task as Declined.Apr 21 2016, 4:56 PM

For anonymous users, it remembers the last editor chosen. In VisualEditor, you can switch to source editing by clicking on the "[[ ]]" icon. In the source editor, you can switch to VisualEditor by clicking on the pencil icon at the end of the toolbar. This page has detailed documentation.

There does not seem to be support from others for changing this behaviour. Please stop reopening this task.

ThurnerRupert changed the task status from Declined to Resolved.Apr 22 2016, 1:31 AM

@wctaiwan , interesting feature, did not notice it before, but i like it. this solves the problem, thank you!!

Jdforrester-WMF changed the task status from Resolved to Declined.Apr 25 2016, 3:16 PM